- Qt 6.5
- Qt GUI
- C++ Classes
- QContextMenuEvent
- Qt 6.5.0 Reference Documentation

# Obsolete Members for QContextMenuEvent

The following members of class QContextMenuEvent are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(deprecated (6.4))` | QContextMenuEvent(QContextMenuEvent::Reason reason, const QPoint &pos)

## Member Function Documentation

### QContextMenuEvent::QContextMenuEvent(QContextMenuEvent::Reason reason, const QPoint &pos)

This function is deprecated since 6.4. We strongly advise against using it in new code.

Use the other constructor instead (global position is required).

Constructs a context menu event object with the accept parameter flag set to false.

The reason parameter must be QContextMenuEvent::Mouse or QContextMenuEvent::Keyboard.

The pos parameter specifies the mouse position relative to the receiving widget.

The globalPos() is initialized to QCursor::pos(), which may not be appropriate. Use the other constructor to specify the global position explicitly.